<ion-header>
  <ion-toolbar>
    <ion-title class="ion-text-center">CLIENTES</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content>
  <ion-button size="block" color="primary" (click)="addClient()">Agregar Cliente 
    <ion-icon name="person-add-outline"></ion-icon>
  </ion-button>
   <ion-list >
    <ion-item-sliding *ngFor="let client of listClient">
      <ion-item>
        <ion-card >
          <ion-card-header>
            <ion-card-title>{{client.longname}}</ion-card-title>
          </ion-card-header>
        
          <ion-card-content>
            <ion-row>
              <ion-col size="9">
                Dirección: {{client.direction}}
                <br>
                Ciudad: {{client.city}}  
                <br>
                Tienda: {{client.name_store}}
                <br>
                Teléfono: {{client.phone}}
              </ion-col>
              <ion-col size="3">
                <ion-button color="success" *ngIf="client.location != null" (click)="loadLocation(client)">Ver  
                  <ion-icon name="locate-outline"></ion-icon>
                </ion-button>
              </ion-col>
            </ion-row>
            
          </ion-card-content>
          <ion-button color="success" *ngIf="client.location == null" (click)="presentAlertConfirm(client)">Obtener Localización 
            <ion-icon name="locate-outline"></ion-icon>
          </ion-button>
          
        </ion-card>     
      </ion-item>
    </ion-item-sliding>
  </ion-list>
</ion-content>
<ion-footer>
  <ion-toolbar>
    <ion-title>
      Actualizar Clientes
    </ion-title>
    <ion-buttons slot="end">
      <ion-button  (click)="updateClients()">
        <ion-icon slot="start" name="refresh"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-footer>
